Service Fabric
action Cluster

# start_chaos

Start Chaos in your cluster

Run it now
View details

Type | action
Module | chaosservicefabric.cluster.actions
Name | start_chaos
Return | mapping

Usage

JSON

    {
      "name": "start-chaos",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosservicefabric.cluster.actions",
        "func": "start_chaos",
        "arguments": {
          "parameters": {}
        }
      }
    }

YAML

    name: start-chaos
    provider:
      arguments:
        parameters: {}
      func: start_chaos
      module: chaosservicefabric.cluster.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
parameters | mapping |  | Yes | Parameters | Parameters to start the Chaos with
timeout | integer | 60 | No | Timeout | Call timeout to start the Chaos in the cluster

The `parameters` argument is a mapping of keys as declared in the Service Fabric API: https://docs.microsoft.com/en-us/rest/api/servicefabric/sfclient-v60-model-chaosparameters

Please see the `chaosservicefabric.fabric.auth` function help for more information on authenticating with the service.

Signature

    def start_chaos(parameters: Dict[str, Any],
                    timeout: int = 60,
                    configuration: Dict[str, Dict[str, str]] = None,
                    secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Service Fabric
  probe Cluster

  ## `chaos_report`

  Get Chaos report using the Service Fabric API
- Service Fabric
  action Cluster

  ## `stop_chaos`

  Stop Chaos in your cluster
- Service Fabric
  action Cluster

  ## `stop_chaos`

  Stop Chaos in your cluster